**    ModelEco : MODELisation en programmation mathmatique pour l'analyse ECOnomique de l'agriculure    **

*-----------------------------------------------------------------------------*
$Ontext
Nom              modelEco_bassinParisien_reglementation.gms
Sequence         2 - Le modle d'exploitation agricole
Langage GAMS     LOOP
Type             LP
Description
"Un agriculteur du Val-de-Loire a une exploitation de 100 ha en grande culture. Il peut cultiver du bl tendre, du bl dur, du colza et de l'orge de printemps. Pour chaque culture, il peut choisir entre trois mode de conduite :
-        Intensif (not " intens ") : la technique plus intensive en intrants chimiques, avec quelques fois un usage " prventif " des produits phytosanitaires
-        Raisonn (not " rais ") :  pratiques thoriquement optimises sur le plan des intrants, les interventions chimiques sont " raisonnes ", c'est  dire dcides aprs observation (des maladies, de la prsence des ravageurs..)
-        Protection intgre (not " protI ") : pratiques intgrant des mesures agronomiques prophylactiques contribuant  la baisse de la pression des bioagresseurs (date de semis, varits, etc..). Protection intgre renvoie aux mthodes dveloppes sous le nom de " Integrated Pest Management "
-        Production intgre au niveau du systme de culture (note " SystCI ") : ce mode de conduite introduit pour lutter contre les bioagresseurs des leviers agronomiques au niveau du systme de culture, avec un changement dans les rotations des cultures.
Pour chaque mode de conduite et pour chaque culture, on connat le dtail des charges variables en distinguant : dpenses en produits phytosanitaires, en engrais, en semences et de mcanisation (carburants et amortissements).
Il travaille 2000 heures par an.
Les prix de vente des cultures sont : 125/t pour le bl tendre, 146/t pour le bl dur, 240/t pour le colza et 110/t pour l'orge de printemps.
L' objectif de l'agriculteur est de maximiser son revenu.
"

Donnes
Ecophyto R&D vers des systmes de culture conomes en produits phytosanitaires -  Volet 1
Tome II : Analyse comparative de diffrents systmes en grandes cultures
Janvier 2009
INRA et le ministre de l'cologie, de l'nergie, du dveloppement durable et de l'amnagement du territoire.

$offtext

*-----------------------------------------------------------------------------*


*----------                          INDICES                        ----------*
SET

C        cultures                /bleT, colza, orgeP, chan, orgeH/
typeC                            /cere,olea, chan/
Cere(C)  cereales                /bleT,orgeP,orgeH/
Olea(C)  oleagineux              /colza/
mC       mode de conduite        /intens, rais, protI, systCl/
pdt      produit phytosanitaire  /herb, fong, ins, autre/
typeCh   type de charges         /op_phyto, op_engr, op_sem, meca_MO/
;
alias(cere, cereC);

scalar
SAU      surface agricole utile          /100/
DMO      disponibilit en main d'oeuvre  /2000/
;

parameter
pxVente(C)               prix de vente par culture
 /bleT 180, colza 365, orgeP 170, orgeH 155, chan 320/  ;

table
coutIFT(C,pdt)           cout d'achat des IFT par culture et par type de produit phytosanitaire
         herb      fong      ins    autre
bleT       35        35        8        9
colza      43        41       11       15
orgeP      35        90       10       12
orgeH      35        90       10       12
chan       50        35       10       10
;
table
charges                  charges par culture par types de charges et par mode de conduite
                           intens        rais      protI     systCl
bleT.        op_phyto         142        112       73        59
bleT.        op_engr          192        187       168       168
bleT.        op_sem            50        50        30        30
bleT.        meca_MO          268        262       263       263
colza.        op_phyto        203        153       101       57
colza.        op_engr         170        157       139       131
colza.        op_sem           37        37        37        37
colza.        meca_MO         314        288       299       304
orgeP.        op_phyto        192        201       120       103
orgeP.        op_engr         149        147       133       133
orgeP.       op_sem           65        65        65        65
orgeP.        meca_MO         262        263       276       287
orgeH.        op_phyto        234        192       117       110
orgeH.        op_engr         166        164       147       147
orgeH.        op_sem           65        65        65        65
orgeH.        meca_MO         278        259       258       265
chan.        op_phyto           0        0         0         0
chan.        op_engr            0        0         0         162
chan.        op_sem             0        0         0         90
chan.        meca_MO            0        0         0         124

;
table
utIFT(C, pdt, mC)        utilisation des IFT par culture et par type de produit phytosanitaire et par mode de conduite
                      intens       rais      protI     systCl
bleT.        herb        1.6       1.6        1.2        1
bleT.        fong        2.1       1.3        0.8        0.6
bleT.        ins         0.6       0.5        0.2        0.2
bleT.        autre       0.9       0.7        0.2        0.2
colza.        herb       2.2       1.5        1          0.75
colza.        fong       1.3       1.2        0.8        0
colza.        ins        4.2       2.7        2          2
colza.        autre      0.6       0.6        0.2        0.2
orgeP.        herb       1.6       1.6        1.3        0.8
orgeP.        fong       1.4       1.5        0.75       0.75
orgeP.        ins        0.2       0.15       0.1        0.1
orgeP.        autre      0.7       0.7        0.5        0.5
orgeH.        herb       1.9       1.5        1.2        1
orgeH.        fong       1.7       1.5        0.8        0.8
orgeH.        ins        0.5       0.1        0.1        0.1
orgeH.        autre      0.8       0.3        0.2        0.2
chan.        herb        0         0          0          0
chan.        fong        0         0          0          0
chan.        ins         0         0          0          0
chan.        autre       0         0          0          0
;

parameter
IFT_c(C, mC)          IFT total calcule
;
IFT_c(C, mC) = sum(pdt, utIFT(C, pdt, mC)) ;

table
rdt(C, mC)               rendement par culture et par mode de conduite  en QUINTAUX PAR HA
       intens    rais     protI   systCl
bleT    72.8      71       65      66
colza   31        29       26.3    26
orgeP   62.6      62       56      57
orgeH   71        70       64      65
chan     0         0        0     10.5

;

table
tpsTravail               temps de travail par culture et par mode de conduite
       intens    rais     protI   systCl
bleT    3.2      3.1      3.1      3.1
colza   4        3.6      4        4.1
orgeP   3.1      3.1      3.3      3.4
orgeH   3.3      3        3        3.1
chan    0        1.8      1.8      1.8
;

table
prop2(typeC,mC)   proportion sur 3
       intens    rais     protI   systCl
cere      4        4        4        3
olea      2        2        2        2
chan      0        0        0        1
;
scalar idprop2    /6/;


parameter
MB(C, mC)        marge brute calculee
;
MB(C, mC) = rdt(C,mC)*pxVente(C)/10 - sum(typeCh, charges(C, typeCh, mC))
;

display pxvente, coutIFT, charges, rdt, tpsTravail, utIFT ;
display MB, IFT_c ;

variables
Z
X
;

positive variables
X
terreT

;

equations
objectif
terre
travail

rotCere(mC)
rotOlea(mC)
rotCere2(mC,cere)
rotChan
;

objectif..       sum[(C, mC), X(C, mC)* MB(C, mC)] =e= Z;
terre..          sum[(C, mC), X(C,mC)] =l= SAU ;
travail..        sum[(C, mC), X(C, mC)*tpsTravail(C, mC)] =l= DMO ;

rotCere(mC)..    sum(cere,X(cere,mC))=l=sum(C,X(C,mC))*prop2('cere',mC)/idprop2;
rotOlea(mC)..    sum(olea,X(olea,mC))=l=sum(C,X(C,mC))*prop2('olea',mC)/idprop2;
rotCere2(mC,cere)..   X(cere, mC) =l= 0.5*sum(cereC, X(cereC,mC));
rotChan..        X('chan', 'systCl') =e= sum(C,X(C,'systCl'))*prop2('chan','systCl')/idprop2;


model farmModel "basic farm model"  /all/;


parameter RESULT ;


solve farmModel using NLP maximizing Z ;

RESULT(C, mC) = X.L(C, mC) ;
RESULT('revenu', '') = Z.L ;
RESULT('statut','model')=farmModel.modelStat ;
RESULT('statut','solver')=farmModel.solveStat ;


display RESULT ;


